/*
    unc_fsx.h
    Copyright 1998, 1999 by Richard Dawe

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    ---

    File-system extension header file for UNC filenames.
*/

#ifndef __unc_fsx_h__
#define __unc_fsx_h__

/* --- Typedefs --- */

typedef struct _UNC_FSEXT_INFO {
    char *devname;
    char *remotename;
    struct _UNC_FSEXT_INFO *next;
    int startflag;                  /* Present at start-up? 1=yep, 0=nope */
    int count;                      /* Number of files using mapping      */
} UNC_FSEXT_INFO;

/* --- Functions --- */

int unc_fsext_init (void);
int unc_fsext_uninit (void);

#endif  /* __unc_fsx_h__ */
